Bug 124827 - Running oprofile for too long freezes system
Running oprofile for too long freezes system
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: oprofile (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: William Cohen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-30 17:07 EDT by bugzilla macrotex
Modified: 2010-11-05 10:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 10:51:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The output of 'cat /proc/cpuinfo' (898 bytes, text/plain)
2004-06-01 10:21 EDT, bugzilla macrotex
no flags Details

  None (edit)
Description bugzilla macrotex 2004-05-30 17:07:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040113

Description of problem:
If the oprofile daemon runs for too long it "freezes" the system. This
has happened on two different machines. I configure oprofile by typing 

opcontrol --vmlinux=/boot/vmlinux-`uname -r`

I then start the profiling by typing

opcontrol --start

It runs for quite a while, but inevitably it freezes the system after
several hours. 



Version-Release number of selected component (if applicable):
oprofile-0.5.4-22

How reproducible:
Always

Steps to Reproduce:
1. opcontrol --vmlinux=/boot/vmlinux-`uname -r`
2. opcontrol --start
3. Wait several hours
    

Additional info:
Comment 1 William Cohen 2004-06-01 09:04:23 EDT
OProfile is very closely tied to the hardware and the kernel. Please
include information about which kernel is being used (uname -a), what
processor (cat /proc/cpuinfo), and what motherboard are being used. 
Are the machines the same or are there difference between them.

Are the machines idles when this is going on? Or are you actively
working on something on the machines when they freeze.

-Will
Comment 2 bugzilla macrotex 2004-06-01 10:21:15 EDT
Created attachment 100738 [details]
The output of  'cat /proc/cpuinfo'
Comment 3 bugzilla macrotex 2004-06-01 10:22:32 EDT
Here is the output of uname -a: 

Linux carla.library.uiuc.edu 2.4.21-15.ELsmp #1 SMP Thu Apr 22
00:18:24 EDT 2004 i686 i686 i386 GNU/Linux

The system is a stock Dell PowerEdge 2500. I will try to find the
motherboard information. 
Comment 4 William Cohen 2004-08-06 08:58:27 EDT
There were some changes made in the Kernel OProfile support in the
RHEL3 U3. I suspect that these changes fix the problem that you were
having. I have been able to run OProfile on a PIII Dell precision 420
for several days at a time without a problem.

Could you verify that the new kernel resolves the issue?

Note You need to log in before you can comment on or make changes to this bug.